# 车租易APP开发手册

* [GitBook使用](/gitbook.md)

---

* ### I. 开发环境准备
  *  [1.1.git的使用](/git-guide.md)
  *  [1.2.Maven的使用](/maven.md)
  *  [1.3.中台开发环境的搭建](/create-project.md)  
  *  [1.4.node的安装及配置](/APP环境搭建/node.md)
  *  [1.5.android-studio的安卓](/APP环境搭建/android-studio.md)
  **  注：**前期开发可不必安装
  *  [1.6.前段开发环境的搭建](/APP环境搭建/ionic-project.md)


* ### II. 项目开发规范

  * [2.1 后端开发规范](/codeStyle.md)
  * [2.2 前端开发规范](/前端开发/ionic-code-style.md)
  * 2.3 Checkstyle
* ### III. 后端开发

  * 3.1 后端开发说明\(1.0\)
  * 3.2 用户安全策略
  * 3.3 审计
  * 3.4 锁机制
  * 3.5 日志管理
  * 3.6 代码生成器
  * 3.7 跨域访问
  * 3.8 消息机制
* ### IV. 前端页面开发

  * [4.1 前端开发说明](/前端开发/ionic-instruction.md)
  * 4.2 字段级通用方法
  * 4.3 窗口级通用方法
  * 4.4 锁屏和解屏通用方法
  * 4.5 头行保存
* ### V. 前端框架配置讲解(目录)

  * 5.1  [app/config](/ionic/config.md)
  * 5.2  [app/lib](/ionic/lib.md)
  * 5.3  [app/pages](/ionic/pages.md)
  * 5.4  [app/scripts](/ionic/script.md)
  * 5.5  [app/scss](/ionic/scss.md)
  * 5.6  [app/theme](/ionic/theme.md)
  * 5.7  [app/app.js](ionic/appjs.md)
  
* VI. 框架功能描述

  * [6.1 计划任务](/框架功能描述/计划任务.md)
  * [6.2 RabbitMq消息队列](/后端开发/RabbitMq消息队列.md)
  * [6.3 应用服务部署\(tomcat/weblogic\)](/框架功能描述/deployment.md)
  * [6.4 合同文本生成](/框架功能描述/docx4j.md)
  * [6.5 Excel导入导出](/框架功能描述/jad.md)
  * [6.6 redis安装和部署](/后端开发/redis.md)
  * [6.9 工作流开发指南](/后端开发/activiti_demo.md)



